---
title: JDLL 2023
weight: 120
draft: false
date: 2023-04-01
extra:
  parent: formations/conf.md
---




![](/img/serv_orion.jpg)
**Entre-hébergement : envisagez l'auto-hébergement collectivement !**

_Qu'est ce que l'entre-hébergement ? Pourquoi c'est important ? Quelles initiatives existent déjà ?_

Dans le libre, nombre de personnes souhaitent
reprendre le contrôle sur leur environnement numérique. C'est
particulièrement vrai pour les infrastructures (le "cloud") qui sont
gérées de façon centralisées et sans notre assentiment.

Mais gérer une infrastructure seul·e est une charge de travail
conséquente et un poids permanent (comment faire si un disque casse
pendant vos vacances ?).

Chez [Deuxfleurs](https://deuxfleurs.fr) (mais aussi [Tedomum](https://tedomum.net/) et d'autres membres du [collectif CHATONS](https://www.chatons.org/)),
nous nous sommes demandés comment cette infrastructure pouvait devenir
"un commun" dont on pourrait prendre collectivement soin, que ce soit
sur le plan organisationnel comme technique.

Lors de cette conférence, je reviendrai sur la notion d'entre-hébergement, sur ce qui fonctionne déjà, sur nos projets, et sur nos doutes.

—

Résumé sur le programme des JDLL : [https://pretalx.jdll.org/jdll2023/talk/review/VUZDBHFN8YM389URFJAM9QD7EKT7ZDDC](https://pretalx.jdll.org/jdll2023/talk/review/VUZDBHFN8YM389URFJAM9QD7EKT7ZDDC)

[Slides PDF](/img/jdll2023.pdf) - [Slides ODP (Libre Office Impress)](/img/jdll2023.odp)
